Update to the Process for Selection of Trustees for the IETF Trust
RFC 8714
BCP 101
Jari Arkko
Ericsson
Ted Hardie
2020-02
General
IASA2
IETF administration
intellectual property
leadership selection
IASA
This memo updates the process for selection of Trustees for the IETF Trust. Previously, the IETF Administrative Oversight Committee (IAOC) members also acted as Trustees, but the IAOC has been eliminated as part of an update to the structure of the IETF Administrative Support Activity (IASA). This memo specifies that the Trustees shall be selected separately.
This memo obsoletes RFC 4371. The changes relate only to the selection of Trustees. All other aspects of the IETF Trust remain as they are today.
Status of This Memo
This memo documents an Internet Best Current Practice.
This document is a product of the Internet Engineering Task Force (IETF). It represents the consensus of the IETF community. It has received public review and has been approved for publication by the Internet Engineering Steering Group (IESG). Further information on BCPs is available in Section 2 of RFC 7841.
Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfc8714.
Copyright Notice
Copyright (c) 2020 IETF Trust and the persons identified as the document authors. All rights reserved.
This document is subject to BCP 78 and the IETF Trust's Legal Provisions Relating to IETF Documents (https://trustee.ietf.org/license-info) in effect on the date of publication of this document. Please review these documents carefully, as they describe your rights and restrictions with respect to this document. Code Components extracted from this document must include Simplified BSD License text as described in Section 4.e of the Trust Legal Provisions and are provided without warranty as described in the Simplified BSD License.
Table of Contents
- 1. Introduction
- 2. IETF Trust
- 3. Selection of Trustees
- 4. Security Considerations
- 5. IANA Considerations
- 6. References
  - 6.1. Normative References
  - 6.2. Informative References
- Acknowledgements
- Authors' Addresses
Introduction
This memo updates the process for selection of Trustees for the IETF Trust. Previously, the IETF Administrative Oversight Committee (IAOC) members also acted as Trustees, but the IAOC has been eliminated as part of an update to the structure of the IETF Administrative Support Activity (IASA). This memo specifies that the Trustees shall be selected separately. See Section 3.
This memo obsoletes [RFC4371]. The changes relate only to the selection of Trustees. All other aspects of the IETF Trust remain as they are today. Section 2 copies the definition as it was in [RFC4371], only leaving out the part about Trustee selection and adding a reference to the IETF Trust website.
For a discussion of why this change is needed and a rationale for these specific changes, see [RFC8715].
IETF Trust
A Trust ("the IETF Trust") has been formed for the purpose of acquiring, holding, maintaining, and licensing certain existing and future intellectual property and other property used in connection with the administration of the IETF. The Trust was formed by the signatures of its Settlors and initial Trustees. The Settlors, who contributed initial intellectual property to the Trust, were ISOC and the Corporation for National Research Initiatives. The Beneficiary of the IETF Trust is the IETF as a whole.
Further details of the IETF Trust may be found at the IETF Trust's website, <https://trustee.ietf.org/>.
Selection of Trustees
This document revises the original Trustee selection procedures defined in [RFC4071] and [RFC4371] to eliminate the requirement that Trustees be drawn from the members of the IAOC.
In this newly revised IETF Trust structure, there will be five Trustees. Three shall be appointed by the IETF Nominating Committee (NomCom) and confirmed by the Internet Engineering Steering Group (IESG), one shall be appointed by the IESG, and one shall be appointed by the Internet Society (ISOC) Board of Trustees. The appointments by the IESG and the ISOC Board of Trustees do not require confirmation.
The IETF Trust Chair informs the nominating committee of the Trustee positions to be reviewed. The IETF Trust will provide a summary of the expertise desired of the Trustee candidates to each appointing body.
A change to the Trust Agreement is required to put this change into effect, and this document requests that the current Trustees make this change at the earliest convenient time and no later than the end of the 104th IETF meeting in March 2019.
The terms of the appointed Trustees from the IETF NomCom shall be three years. The initial selection shall be one, two, and three year terms in order to initially stagger the terms. The other appointments by the IESG and the ISOC Board of Trustees shall be two year terms, with the initial terms being one and two years, respectively. The goal of the staggered initial terms is to minimize potential Trustee turnover in any single year. To maintain the staggered terms, each appointing body may, at its discretion, appoint Trustees for shorter terms as needed in exceptional situations, e.g., for mid-term vacancies or when an appointment is not ready by the time of the first IETF meeting of the year.
Once the initial Trustee selections according to the procedures in this document are complete, and at each subsequent annual meeting of the IETF Trust (once new Trustees are seated), the Trustees shall elect one Trustee to serve as IETF Trust Chair by a majority vote of the IETF Trust.
Trustees appointed by the IETF NomCom may be recalled according to the recall process described in [BCP10]. Trustees appointed by the IESG or by the ISOC Board of Directors may be recalled by the appointing body. For appointments made by the IESG, the IESG is expected to run an open selection process and to consider the necessary skill set and conflicts of interest as part of that process.
Security Considerations
This memo has no security implications for the Internet.
IANA Considerations
This document has no IANA actions.
References
Normative References
[BCP10]

IAB, IESG, IETF Trust, and IETF LLC Selection, Confirmation, and Recall Process: Operation of the IETF Nominating and Recall Committees
M. Kucherawy, Ed.
R. Hinden, Ed.
J. Livingood, Ed.
February 2020
BCP 10
RFC 8713
[RFC4071]

Structure of the IETF Administrative Support Activity (IASA)
R. Austein, Ed.
B. Wijnen, Ed.
April 2005
BCP 101
RFC 4071
DOI 10.17487/RFC4071
[RFC4371]

BCP 101 Update for IPR Trust
B. Carpenter, Ed.
L. Lynch, Ed.
January 2006
BCP 101
RFC 4371
DOI 10.17487/RFC4371
Informative References
[RFC8715]

IETF Administrative Support Activity 2.0: Update to the Process for Selection of Trustees for the IETF Trust
J. Arkko
February 2020
RFC 8715
DOI 10.17487/RFC8715
Acknowledgements
The authors would like to thank members of the earlier IASA 2.0 design team: Brian Haberman, Eric Rescorla, Jari Arkko, Jason Livingood, Joe Hall, and Leslie Daigle. The authors would also like to thank Alissa Cooper, Andrew Sullivan, Brian Carpenter, Lucy Lynch, and John Levine for interesting discussions in this problem space. The authors would also like to thank Russ Housley, Bob Hinden, Scott Mansfield, Alexey Melnikov, Suresh Krishnan, Mirja Kühlewind, Ben Campbell, Spencer Dawkins, Martin Vigoreux, Benjamin Kaduk, and Adrian Farrel for careful review. Finally, the authors would like to thank the authors of [RFC4371], as the text from that RFC remains in this document.
Authors' Addresses
Jari Arkko
Ericsson
Kauniainen
02700
Finland
jari.arkko@piuha.net
Ted Hardie
ted.ietf@gmail.com